Skip to:
Content
Pages
Categories
Search
Top
Bottom

How to setup working development copy of buddypress trunk and my plugin

  • Avatar of Serg Podtynnyi
    shtirlic
    Participant

    @shtirlic

    I am using trunk buddypress on my working copy and developing plugin for it, what is the best practice to keep buddypress trunk and my plugin which is in separated SVN repository.

    Using svn:external ? How to deal with main bp-myplugin.php file in buddypress root?

Viewing 4 replies - 1 through 4 (of 4 total)
  • Avatar of Serg Podtynnyi
    shtirlic
    Participant

    @shtirlic

    Found nice guide http://codex.buddypress.org/developer-docs/installing-through-svn/

    But now i getting Failed opening required ‘./mu-plugins/bp-core.php’

    Avatar of Andy Peatling
    Andy Peatling
    Keymaster

    @apeatling

    Should be simple as this:

    svn co http://svn.automattic.com/wordpress-mu/branches/2.7 ./wpmu
    cd wpmu/wp-content/plugins
    svn co http://svn.buddypress.org/trunk ./buddypress
    svn co [my-plugin-repo-url] [my-plugin-dir]

    Then when you want to update WPMU just svn up in /wpmu/ and when you want to update BuddyPress just svn up in /plugins/buddypress/

    Avatar of Trent Adams
    Trent Adams
    Participant

    @trent

    Yeah, I will update the docs in the codex later today to include this wonderful fix from Andy.

    Trent

    Avatar of Serg Podtynnyi
    shtirlic
    Participant

    @shtirlic

    @andy did what u suggest, but still no luck

    so i have this tree

    mu (svn from branch 2.7 )

    --wp-content

    --bp-themes

    ----buddypress-member (symlink from buddypress)

    --mu-plugins

    --plugins

    ----buddypress (svn from trunk)

    ----zoneideas-bp (svn from google code)


    bp-zoneideas


    bp-zoneideas.php

    --themes

    ----buddypress-home (symlink from buddypress)

    So with this i have

    Warning: require_once(bp-core.php) [function.require-once]: failed to open stream: No such file or directory in /usr/home/shtirlic/public_html/mu/wp-content/plugins/zoneideas-bp/bp-zoneideas.php on line 13

    my line 13 as always

    require_once( \\\\\\\'bp-core.php\\\\\\\' );

    So buddypress is working, my plugin not, what to do?

    UPDATE:

    a edited this line and added this

    <br />
    require_once( BP_PLUGIN_DIR . \'/bp-core.php\' );<br />

    and now plugin is working, but there is now mention about it an docs or in example component

Viewing 4 replies - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.